package entity

import (
	"time"

	"github.com/google/uuid"
)

type HeroContents struct {
	ID                uuid.UUID `json:"id" gorm:"primaryKey;type:uuid"`
	PrimaryTitle      string    `json:"primary_title" gorm:"type:varchar(255)"`
	SecondaryTitle    string    `json:"secondary_title" gorm:"type:varchar(255)"`
	Description       string    `json:"description" gorm:"type:text"`
	PrimaryCta        string    `json:"primary_cta" gorm:"type:varchar(255)"`
	SecondaryCtaText  string    `json:"secondary_cta_text" gorm:"type:varchar(255)"`
	IsActive          *bool     `json:"is_active" gorm:"default:true"`
	CreatedAt         time.Time `json:"created_at"`
	UpdatedAt         time.Time `json:"updated_at"`

	HeroContentImage  []HeroContentImages `json:"images" gorm:"foreignKey:HeroContentID"`
}

func (HeroContents) TableName() string {
	return "hero_contents"
}
